/**
  *  \file client/tiles/objheader.h
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_OBJHEADER_H
#define PCC_V2_CLIENT_TILES_OBJHEADER_H

#include "client/wtile.h"
#include "ui/widgets/button.h"

class WObjectSelectionHeaderTile : public WObjectSelectionObserverTile {
 public:
    WObjectSelectionHeaderTile(GObjectSelection& type);
    void drawData(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);

 private:
    UIButton button_next;
    UIButton button_prev;

    void init();
    void onNext();
    void onPrev();
};

#endif
